Last modified: 2013-02-12 17:25:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 41559 - Gerrit fails on IE 10
Gerrit fails on IE 10
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
wmf-deployment
All All
: Lowest normal (vote)
: ---
Assigned To: Nobody - You can work on this!
https://gerrit.wikimedia.org/r/#/c/23...
: upstream
Depends on: 39589
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 17:03 UTC by Brion Vibber
Modified: 2013-02-12 17:25 UTC (History)
3 users (show)

See Also:
Web browser: Internet Explorer
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2012-10-30 17:03:04 UTC
Went to look up a code review request on my Surface tablet (Windows RT) and found that Gerrit doesn't seem to like IE 10 much.

An alert pops up:

  "ERROR: Possible problem with your *.gwt.xml module file.
  The compile time user.agent value (ie8) does not match the runtime user.agent value (ie9). Expect more errors."

Hitting OK dismisses the alert, but the Gerrit UI doesn't finish loading and you can neither read nor update the patchset.
Comment 1 Chad H. 2012-10-30 17:15:33 UTC
I doubt anyone upstream has used IE10 yet ;-)
Comment 2 Brion Vibber 2012-10-30 17:17:11 UTC
"IE 10: it's not half bad, but it's still IE." :)

I'd be less miffed if Windows RT let you install alternate browsers. *cough cough* Ah well I'll just use my real computer for code reviews for now. ;)
Comment 3 Andre Klapper 2012-10-30 17:42:51 UTC
Upstream: As per https://code.google.com/p/gerrit/issues/detail?id=1530 this seems to be a dup of https://code.google.com/p/gerrit/issues/detail?id=926
Comment 4 Chad H. 2012-10-30 17:45:31 UTC
Identical bug. It happens on every IE release :\
Comment 5 Chad H. 2012-11-19 16:03:46 UTC
Looks like GWT doesn't support IE10 yet. GWT 2.5.1 looks like it will, though[0]. Don't know when the release will be (they said September :() or when it'll make it into Gerrit.

[0] https://groups.google.com/d/topic/google-web-toolkit/hcLoOL3J4u4/discussion
Comment 6 Brion Vibber 2012-11-19 19:18:46 UTC
therr's a suggestion to enable compatibility mode; might try futzing with that in the meantime.
Comment 7 Chad H. 2013-01-03 13:25:55 UTC
You could also try client-side browser detection. This has come up on the Gerrit list.

https://groups.google.com/d/msg/repo-discuss/nPt6teqHTbE/rkTmILrrfF8J
Comment 8 Chad H. 2013-01-29 16:14:49 UTC
This is in progress upstream: https://gerrit-review.googlesource.com/#/c/41690/
Comment 9 Chad H. 2013-02-12 15:16:16 UTC
Please test with IE10 :)
Comment 10 Brion Vibber 2013-02-12 17:25:33 UTC
Confirmed IE 10 can now view gerrit. :D

Tested desktop IE on Windows 8 Pro.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links